using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace DataBindingFundamentalsSample {
  public partial class MainForm : Form {
  
    public MainForm() {
      InitializeComponent();
    }

    private void theLandBeforeDataBindingButton_Click(object sender, EventArgs e) {
      (new TheLandBeforeDataBindingForm()).ShowDialog();
    }

    private void simpleBindingAndItemDataSources_Click(object sender, EventArgs e) {
      (new SimpleBindingAndItemDataSourcesForm()).ShowDialog();
    }

    private void simpleBindingAndListDataSourcesButton_Click(object sender, EventArgs e) {
      (new SimpleBindingAndListDataSourcesForm()).ShowDialog();
    }

    private void complexBindingAndListDataSources_ListBoxButton_Click(object sender, EventArgs e) {
      (new ComplexBindingListBoxForm()).ShowDialog();
    }

    private void complexBindingAndListDataSources_DataGridViewButton_Click(object sender, EventArgs e) {
      (new ComplexBindingDataGridViewForm()).ShowDialog();
    }

    private void bindingSourceSimpleBindingButton_Click(object sender, EventArgs e) {
      (new BindingSourceSimpleBindingForm()).ShowDialog();
    }

    private void simpleBindingSourceDataBindingButton_Click(object sender, EventArgs e) {
      (new SimpleBindingSourceDataBindingForm()).ShowDialog();
    }

    private void complexBindingSourceDataBindingButton_Click(object sender, EventArgs e) {
      (new ComplexBindingSourceDataBindingForm()).ShowDialog();
    }

    private void simpleComplexBindingSourceDataBindingButton_Click(object sender, EventArgs e) {
      (new SimpleComplexBindingSourceDataBindingForm()).ShowDialog();
    }

    private void bindingSourceButton_Click(object sender, EventArgs e) {
      (new BindingSourceForm()).ShowDialog();
    }

    private void ideDataBindingButton_Click(object sender, EventArgs e) {
      (new IDEDataBindingForm()).ShowDialog();
    }
  }
}