using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using Microsoft.Win32;

namespace SystemEventsSample {
  public partial class MainForm : Form {
    public MainForm() {
      InitializeComponent();

      SystemEvents.UserPreferenceChanged += SystemEvents_UserPreferenceChanged;
      SystemEvents.DisplaySettingsChanged += SystemEvents_DisplaySettingsChanged;
    }

    void SystemEvents_UserPreferenceChanged(object sender, UserPreferenceChangedEventArgs e) {
      // Handle user system setting change
      MessageBox.Show(e.Category.ToString());
    }

    void SystemEvents_DisplaySettingsChanged(object sender, EventArgs e) {
      // Handle user system setting change
      MessageBox.Show("Display Settings Changed");
    }
  }
}