// MFCCOMControlPpg.cpp : Implementation of the CMFCCOMControlPropPage property page class.

#include "stdafx.h"
#include "MFCCOMControlLibrary.h"
#include "MFCCOMControlPpg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


IMPLEMENT_DYNCREATE(CMFCCOMControlPropPage, COlePropertyPage)



// Message map

BEGIN_MESSAGE_MAP(CMFCCOMControlPropPage, COlePropertyPage)
END_MESSAGE_MAP()



// Initialize class factory and guid

IMPLEMENT_OLECREATE_EX(CMFCCOMControlPropPage, "MFCCOMCONTROLL.MFCCOMControlPropPage.1",
	0xc73a3f2c, 0xa578, 0x4f5f, 0xb4, 0x8f, 0x94, 0xfe, 0x50, 0x85, 0x97, 0xdb)



// CMFCCOMControlPropPage::CMFCCOMControlPropPageFactory::UpdateRegistry -
// Adds or removes system registry entries for CMFCCOMControlPropPage

BOOL CMFCCOMControlPropPage::CMFCCOMControlPropPageFactory::UpdateRegistry(BOOL bRegister)
{
	if (bRegister)
		return AfxOleRegisterPropertyPageClass(AfxGetInstanceHandle(),
			m_clsid, IDS_MFCCOMCONTROLLIBRARY_PPG);
	else
		return AfxOleUnregisterClass(m_clsid, NULL);
}



// CMFCCOMControlPropPage::CMFCCOMControlPropPage - Constructor

CMFCCOMControlPropPage::CMFCCOMControlPropPage() :
	COlePropertyPage(IDD, IDS_MFCCOMCONTROLLIBRARY_PPG_CAPTION)
{
	m_label = _T("");
}



// CMFCCOMControlPropPage::DoDataExchange - Moves data between page and properties

void CMFCCOMControlPropPage::DoDataExchange(CDataExchange* pDX)
{

	DDP_Text(pDX, IDC_NOTE, m_label, _T("Label") );
	DDX_Text(pDX, IDC_NOTE, m_label);


	DDP_PostProcessing(pDX);
}



// CMFCCOMControlPropPage message handlers
